Questions regarding latest (2.0.0) LUA Plug-in


#1

Hello,

The recently released OpenAT Embedded Software Suite Package (2.32.201003111236)
contains the new version (2.0.0.I2010103110958) of LUA Plug-in Package.

A few questions:

  1. What is the official status of two openAT Lua resources:

openAT LUA wiki (wavecom.com/lua/wiki/tiki-index.php)?

svn.anyware-tech.com/wavecom/openat-lua/oatlua
(and people.anyware-tech.com/~fabien/oatlua.html)

  1. Is it possible to get the correspondence between svn version of openlua development tree and officially released package?

#2

hi,
Any news in this subject ? I’m really interesting too.

Thanks
Gucio


#3

Hello,

Some time ago I got the following feddback from Sierra Wireless:

The wiki for Lua is not updated on periodical basis, therefore we would suggest using Open AT forum for any questions/suggestions/discussions around Lua plug-in. The forum has a dedicated section for Open AT lua where frequent Lua users are active.

The Lua plug-in is provided as an open source and the latest version can be downloaded from svn.anyware-tech.com/wavecom/openat-lua/trunk.
Note that however, the customer has to first build the library and then link it with the Lua Open AT application. So, you can advise the customer to use this latest version (even if this is not yet an official version).

For the time being, the repository is not integrated with official Open AT Lua plug-in. Hence, it does not have any tag corresponding to the official release of Lua plug-in. However, it is the latest Lua plug-in available at the moment and can be used by the customer.